> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Virtual Receptionist

> Create a virtual receptionist with its announcements and destinations



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/virtual-receptionist/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/virtual-receptionist/:
    post:
      tags:
        - Virtual Receptionist
      summary: Create Virtual Receptionist
      description: Create a virtual receptionist with its announcements and destinations
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tenantId:
                  type: number
                  exclusiveMinimum: 0
                name:
                  type: string
                  minLength: 1
                timeout:
                  default: 10
                  type: number
                  exclusiveMinimum: 0
                  maximum: 20
                loopOnTimeout:
                  default: ''
                  type: string
                  maxLength: 5
                loopOnWrongKeyPress:
                  default: ''
                  type: string
                  maxLength: 5
                allowExtensionDialing:
                  default: ''
                  type: string
                  maxLength: 5
                allowFeatures:
                  default: ''
                  type: string
                  maxLength: 5
                digitTimeout:
                  default: 2
                  type: number
                  exclusiveMinimum: 0
                allowCustom:
                  default: ''
                  type: string
                  maxLength: 5
                maxLoops:
                  default: 5
                  type: number
                  exclusiveMinimum: 0
                  maximum: 5
                loopPlayMessageOnce:
                  default: ''
                  type: string
                  maxLength: 5
                enableSpeechDetect:
                  default: 0
                  type: number
                branchId:
                  type: number
                  exclusiveMinimum: 0
                keyPressDestinations:
                  default: []
                  type: array
                  items:
                    type: object
                    properties:
                      key:
                        anyOf:
                          - type: string
                            enum:
                              - '0'
                          - type: string
                            enum:
                              - '1'
                          - type: string
                            enum:
                              - '2'
                          - type: string
                            enum:
                              - '3'
                          - type: string
                            enum:
                              - '4'
                          - type: string
                            enum:
                              - '5'
                          - type: string
                            enum:
                              - '6'
                          - type: string
                            enum:
                              - '7'
                          - type: string
                            enum:
                              - '8'
                          - type: string
                            enum:
                              - '9'
                          - type: string
                            enum:
                              - STAR
                          - type: string
                            enum:
                              - SHARP
                          - type: string
                            enum:
                              - WRONG
                      type:
                        type: string
                      id:
                        type: number
                        exclusiveMinimum: 0
                    required:
                      - key
                      - type
                      - id
                greetingDestinations:
                  default: []
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - PLAYBACK
                      id:
                        type: number
                        exclusiveMinimum: 0
                    required:
                      - type
                      - id
                timeoutDestinations:
                  default: []
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                      id:
                        type: number
                        exclusiveMinimum: 0
                    required:
                      - type
                      - id
                announcementsIds:
                  default: []
                  type: array
                  items:
                    type: number
                    exclusiveMinimum: 0
              required:
                - tenantId
                - name
              additionalProperties: false
      responses:
        '200':
          description: Created virtual receptionist
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                  tenantId:
                    anyOf:
                      - type: number
                      - type: 'null'
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                  timeout:
                    anyOf:
                      - type: number
                      - type: 'null'
                  loopOnTimeout:
                    anyOf:
                      - type: string
                      - type: 'null'
                  loopOnWrongKeyPress:
                    anyOf:
                      - type: string
                      - type: 'null'
                  loopPlayMessageOnce:
                    anyOf:
                      - type: string
                      - type: 'null'
                  allowExtensionDialing:
                    anyOf:
                      - type: string
                      - type: 'null'
                  maxLoops:
                    anyOf:
                      - type: number
                      - type: 'null'
                  enableSpeechDetect:
                    anyOf:
                      - type: number
                      - type: 'null'
                  announcements:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          anyOf:
                            - type: number
                            - type: 'null'
                        name:
                          anyOf:
                            - type: string
                            - type: 'null'
                        description:
                          anyOf:
                            - type: string
                            - type: 'null'
                        active:
                          anyOf:
                            - type: number
                            - type: 'null'
                        tenantId:
                          anyOf:
                            - type: number
                            - type: 'null'
                        mediaFileId:
                          anyOf:
                            - type: number
                            - type: 'null'
                        startDate:
                          anyOf:
                            - type: string
                            - type: 'null'
                        endDate:
                          anyOf:
                            - type: string
                            - type: 'null'
                        order:
                          anyOf:
                            - type: number
                            - type: 'null'
                      required:
                        - id
                        - name
                        - description
                        - active
                        - tenantId
                        - mediaFileId
                        - startDate
                        - endDate
                        - order
                      additionalProperties: {}
                  branch:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - name
                    additionalProperties: {}
                    description: Resolved branch
                  greetingDestinations:
                    type: array
                    items:
                      type: object
                      properties:
                        typeSrc:
                          type: string
                        destType:
                          type: string
                        id:
                          type: number
                        order:
                          anyOf:
                            - type: number
                            - type: 'null'
                        name:
                          type: string
                        number:
                          type: string
                      required:
                        - typeSrc
                        - destType
                        - id
                        - order
                      additionalProperties: {}
                  keyPressDestinations:
                    type: array
                    items:
                      type: object
                      properties:
                        typeSrc:
                          type: string
                        destType:
                          type: string
                        id:
                          type: number
                        order:
                          anyOf:
                            - type: number
                            - type: 'null'
                        name:
                          type: string
                        number:
                          type: string
                      required:
                        - typeSrc
                        - destType
                        - id
                        - order
                      additionalProperties: {}
                  timeoutDestinations:
                    type: array
                    items:
                      type: object
                      properties:
                        typeSrc:
                          type: string
                        destType:
                          type: string
                        id:
                          type: number
                        order:
                          anyOf:
                            - type: number
                            - type: 'null'
                        name:
                          type: string
                        number:
                          type: string
                      required:
                        - typeSrc
                        - destType
                        - id
                        - order
                      additionalProperties: {}
                required:
                  - id
                  - tenantId
                  - name
                  - timeout
                  - loopOnTimeout
                  - loopOnWrongKeyPress
                  - loopPlayMessageOnce
                  - allowExtensionDialing
                  - maxLoops
                  - enableSpeechDetect
                  - branch
                additionalProperties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````